<script lang="ts" setup>
import { useUserStore } from "@/stores/user";
import { onMounted } from "vue";
import UserDialog from "./UserDialog.vue";

const userStore = useUserStore();

onMounted(async () => {
  await userStore.getUsers();
});
</script>

<template>
  <UserDialog></UserDialog>
  <div>
    <v-btn color="blue" @click="userStore.dialog = true">Add New</v-btn>
  </div>

  <v-table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Username</th>
        <th>Password</th>
        <th>Operation</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of userStore.users" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.username }}</td>
        <td>{{ item.password }}</td>
        <td>
          <v-btn color="success" class="mr-5" @click="userStore.editUser(item)"
            >Edit</v-btn
          >
          <v-btn color="error" @click="userStore.deleteUser(item.id!)"
            >Delete</v-btn
          >
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
